import request from '@/utils/request'

// 初始化 项目名称
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据_按时间排序'
    }
  })
}
// 导入Excel
export function upload(project, machine, group, designer) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '组件明细表_基本件_导入数据',
      param: '项目=' + project + '&机床=' + machine + '&组号=' + group + '&设计者=' + designer
    }
  })
}
// 导入Excel1
export function upload1(designer, time, project, machine, group, num1, num2, name, size, num3, supplier, remark, mark) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '组件明细表_基本件_导入数据1',
      param: '设计者=' + designer + '&保存时间=' + time + '&项目=' + project + '&机床=' + machine + '&组号=' + group + '&序号=' + num1 + '&图号或者型号=' + num2 + '=string&名称=' + name + '&材料或者规格=' + size + '&数量=' + num3 + '&供货商=' + supplier + '&备注=' + remark + '&标记=' + mark
    }
  })
}
// 查询零件（查重）
export function searchPart(project, machine, group) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '导入数据_查询',
      param: '项目=' + project + '&机床=' + machine + '&组号=' + group
    }
  })
}
// 导入Excel外购件
export function outBuyUpload(project, machine, group, designer) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '组件明细表_外购件_导入数据',
      param: '项目=' + project + '&机床=' + machine + '&组号=' + group + '&设计者=' + designer
    }
  })
}
// 导入Excel1外购件
export function outBuyUpload1(designer, time, project, machine, group, num1, num2, name, size, num3, supplier, remark, mark) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '组件明细表_外购件_导入数据1',
      param: '设计者=' + designer + '&保存时间=' + time + '&项目=' + project + '&机床=' + machine + '&组号=' + group + '&序号=' + num1 + '&图号或者型号=' + num2 + '&名称=' + name + '&材料或者规格=' + size + '&数量=' + num3 + '&供货商=' + supplier + '&备注=' + remark + '&标记=' + mark
    }
  })
}
// 查询零件（查重）外购件
export function outBuySearchPart(project, machine, group) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '导入数据_外购件_查询',
      param: '项目=' + project + '&机床=' + machine + '&组号=' + group
    }
  })
}
// 查询零件 基本件
export function searchBasePartDetail(project, machine, group) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_零件明细表_基本件_数据导入保存_查询数据_综合_全部',
      param: '项目=' + project + '&机床=' + machine + '&组号=' + group
    }
  })
}
// 查询零件 基本件
export function searchOutPartDetail(project, machine, group) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_零件明细表_外购件和标准件_数据导入保存_综合_全部',
      param: '项目=' + project + '&机床=' + machine + '&组号=' + group
    }
  })
}
// 删除 基本件
export function deleteTable1(id) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: 'PDM_零件明细表_基本件_数据导入保存_删除数据',
      param: 'id=' + id
    }
  })
}
// 删除 外购件
export function deleteTable2(id) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: 'PDM_零件明细表_外购件和标准件_数据导入保存_删除数据',
      param: 'id=' + id
    }
  })
}
// 初始化规范 备注
export function initStandard1() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_零件明细表_基本件_数据导入保存_查询数据_规范表_备注'
    }
  })
}
// 初始化规范 材料或者规格
export function initStandard2() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_零件明细表_基本件_数据导入保存_查询数据_规范表_材料或者规格'
    }
  })
}
// 初始化规范 物料流水号
export function initStandard3() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_零件明细表_基本件_数据导入保存_查询数据_规范表_物料流水号'
    }
  })
}
